summaryrefslogtreecommitdiffstats
path: root/wiki/src/news/test_3.0-alpha1.mdwn
blob: c0976a76a4dc9662854ccf985c81aa5fff73bb61 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
[[!meta title="Call for testing: 3.0~alpha1"]]

[[!meta date="Mon, 18 Nov 2016 11:00:00 +0000"]]

[[!tag announce]]

You can help Tails! The first alpha for the upcoming version 3.0 is
out. We are very excited and cannot wait to hear what you think about
it :)

[[!toc levels=1]]

# What's new in 3.0?

Tails 3.0 will be the first version of Tails based on DebianĀ 9
(Stretch). As such, it upgrades essentially all included software.

It also requires a 64-bit computer, and GNOME Shell is now configured
to use its default black theme.

Technical details of all the changes are listed in the
[Changelog](https://git-tails.immerda.ch/tails/plain/debian/changelog?h=devel).

# How to test Tails 3.0~alpha1?

**Keep in mind that this is a test image.** We tested
that it is not broken in obvious ways, but it might still contain
undiscovered issues.

But test wildly!

If you find anything that is not working as it should, please report to
us <tails-testers@boum.org>.

Bonus points if you first check if it is a
<a href="#known_issues">known issue of this release</a> or a
[[longstanding known issue|support/known_issues]].

Download and install
--------------------

<a class="download-file use-mirror-pool" href="http://dl.amnesia.boum.org/tails/alpha/tails-amd64-3.0~alpha1/tails-amd64-3.0~alpha1.iso">Tails 3.0~alpha1 ISO image</a>
<span class="openpgp-small-link">[[OpenPGP signature|torrents/files/tails-amd64-3.0~alpha1.iso.sig]]</span>

<div class="bug">

You cannot install Tails 3.0~alpha1 from Tails 2.x. It is impossible
as well to upgrade to Tails 3.0~alpha1 from Tails 2.x. So, either
install or upgrade from a non-Tails system, or start Tails 3.0~alpha1
from DVD and then clone it to a USB stick.

</div>

To install 3.0~alpha1, follow our usual [[installation instructions|install]],
skipping the **Download and verify** step.

If you find anything that is not working as it should, please report to
us on <tails-testers@boum.org>.

Bonus points if you first check if it is a
<a href="#known_issues">known issue of this release</a> or a
[[longstanding known issue|support/known_issues]].

<a id="known_issues"></a>

Known issues in 3.0~alpha1
=========================

* The documentation was not adjusted yet.

* [Open tickets for Tails 3.0](https://labs.riseup.net/code/projects/tails/issues?per_page=100&query_id=198)

* If you have the GnuPG persistence feature enabled, update files in
  `/home/amnesia/.gnupg/`:
  1. Set up an administration password and log in.
  2. Import `dirmngr.conf` from
     `/lib/live/mount/rootfs/filesystem.squashfs/etc/skel/.gnupg/dirmngr.conf`.
  3. Backup the `/home/amnesia/.gnupg/gpg.conf` file, replace it with
     `/lib/live/mount/rootfs/filesystem.squashfs/etc/skel/.gnupg/gpg.conf`,
     and re-apply your custom settings on top of the new file.

* [[Longstanding known issues|support/known_issues]]